libvisio::VSDGeometryListElement Class Reference documentation

Public Member Functions | Protected Attributes | List of all members
libvisio::VSDGeometryListElement Class Referenceabstract

`#include <VSDGeometryList.h>`

Inheritance diagram for libvisio::VSDGeometryListElement:

## Public Member Functions
| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
virtual void | handle (VSDCollector *collector) const =0
virtual VSDGeometryListElement * | clone ()=0
virtual unsigned | getDataID () const
void | setLevel (unsigned level)

## Protected Attributes
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

## ◆ VSDGeometryListElement()

libvisio::VSDGeometryListElement::VSDGeometryListElement | ( | unsigned | id,
|  | unsigned | level
| ) |  |
| inline

## ◆ ~VSDGeometryListElement()

virtual libvisio::VSDGeometryListElement::~VSDGeometryListElement | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ clone()

virtual VSDGeometryListElement * libvisio::VSDGeometryListElement::clone | ( |  | ) |
| pure virtual

Implemented in libvisio::VSDGeometry, libvisio::VSDEmpty, libvisio::VSDMoveTo, libvisio::VSDLineTo, libvisio::VSDArcTo, libvisio::VSDEllipse, libvisio::VSDEllipticalArcTo, libvisio::VSDNURBSTo1, libvisio::VSDNURBSTo2, libvisio::VSDNURBSTo3, libvisio::VSDPolylineTo1, libvisio::VSDPolylineTo2, libvisio::VSDPolylineTo3, libvisio::VSDSplineStart, libvisio::VSDSplineKnot, libvisio::VSDInfiniteLine, libvisio::VSDRelCubBezTo, libvisio::VSDRelEllipticalArcTo, libvisio::VSDRelMoveTo, libvisio::VSDRelLineTo, and libvisio::VSDRelQuadBezTo.

## ◆ getDataID()

virtual unsigned libvisio::VSDGeometryListElement::getDataID | ( |  | ) | const
| inlinevirtual

Reimplemented in libvisio::VSDNURBSTo2, and libvisio::VSDPolylineTo2.

Referenced by libvisio::VSDContentCollector::collectNURBSTo(), and libvisio::VSDContentCollector::collectPolylineTo().

## ◆ handle()

virtual void libvisio::VSDGeometryListElement::handle | ( | VSDCollector * | collector | ) | const
| pure virtual

Implemented in libvisio::VSDGeometry, libvisio::VSDEmpty, libvisio::VSDMoveTo, libvisio::VSDLineTo, libvisio::VSDArcTo, libvisio::VSDEllipse, libvisio::VSDEllipticalArcTo, libvisio::VSDNURBSTo1, libvisio::VSDNURBSTo2, libvisio::VSDNURBSTo3, libvisio::VSDPolylineTo1, libvisio::VSDPolylineTo2, libvisio::VSDPolylineTo3, libvisio::VSDSplineStart, libvisio::VSDSplineKnot, libvisio::VSDInfiniteLine, libvisio::VSDRelCubBezTo, libvisio::VSDRelEllipticalArcTo, libvisio::VSDRelMoveTo, libvisio::VSDRelLineTo, and libvisio::VSDRelQuadBezTo.

## ◆ setLevel()

void libvisio::VSDGeometryListElement::setLevel | ( | unsigned | level | ) |
| inline

## Member Data Documentation

## ◆ m_id

unsigned libvisio::VSDGeometryListElement::m_id
| protected

Referenced by libvisio::VSDGeometry::handle().

## ◆ m_level

unsigned libvisio::VSDGeometryListElement::m_level
| protected

Referenced by libvisio::VSDGeometry::handle(), and setLevel().

The documentation for this class was generated from the following file:

- VSDGeometryList.h